'''
-----------------------------------------------------------------------------
 Heat transfer analysis of a symmetric model of a three dimensional single
 edged notch specimen modeled using heat transfer elements (DC3D20).
 The *.odb file generated from this analysis is used for fracture
 analysis of the specimen.
 Submit the job: 3DSingleEdgedThermMesh2
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
modelName = '3DSingleEdgedThermMesh2'
openMdb(modelName)
myModel = mdb.models[modelName]
myAssembly = myModel.rootAssembly
myViewport = session.Viewport(name=modelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[modelName].submit()
mdb.jobs[modelName].waitForCompletion()

#---------------------------------------------------------------------------
